%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           rootplot
Version:        2.2.1
Release:        10%{?dist}
Summary:        Plots ROOT data with matplotlib

Group:          Development/Languages
License:        MIT
URL:            http://packages.python.org/rootplot/
Source0:        http://pypi.python.org/packages/source/r/rootplot/rootplot-%{version}.tar.gz
# Just a trivial example script to be included as a doc.
Source1:        http://packages.python.org/rootplot/plot_directive/pyplots/first.py

# Removes some #!/usr/bin/env python from some python libs.
Patch0:         rootplot-rm-shbangs.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)



#               root is not available for arm.
#		The cint interpreter is not fully ported to arm
#		https://sft.its.cern.ch/jira/browse/ROOT-5398
#		https://sft.its.cern.ch/jira/browse/ROOT-5399
#               Package should be noarch but cannot be.
#               BuildArch:      noarch
ExcludeArch:	%{arm}

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  root-python

Requires:       numpy
Requires:       python-matplotlib
Requires:       root-python

%description
ROOT is a powerful data analysis tool within the particle physics community,
and the primary lens through which we see our data. The framework includes
quite a bit of graphical capabilities, but producing high-quality graphics
output was not the first priority in designing its capabilities 
or its interface.

It becomes useful, then, to consider using an outside library 
focused on graphics for producing final plots. The pyROOT 
interface to ROOT makes it easy to have ROOT objects interact with 
other python modules. The goal of rootplot is to enable easy 
plotting of ROOT histograms using the full-featured and mature 
matplotlib library.

%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt first.py
%{python_sitelib}/rootplot-%{version}-*
%{python_sitelib}/rootplot/
%{_bindir}/rootplot
%{_bindir}/tree2hists
%{_bindir}/rootinfo
%{_bindir}/rootplotmpl

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-9
- Exclude arm builds.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-3
- Bump release for first Fedora release.

* Fri Nov 19 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-2
- Minor changes for Fedora review process.
- Include first.py as an example script.

* Fri Nov 19 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-1
- New upstream 2.2.1
- Add two new commands, rootinfo and rootplotmpl.

* Sun Jun 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.1-1
- Initial build


